mia-3dprealign-nonrigid
Prev | Registration of series of 3D images | Next

### mia-3dprealign-nonrigid

#### Sysnopis:

`mia-3dprealign-nonrigid` {-i `io`} {-o `io`} [ `options` ...]

#### Description:

This program runs the non-rigid registration of an image series by first registering an already aligned subset of the images to one reference, and then by registering the remaining images by using synthetic references. This is a 3D version of

G. Wollny, M-J Ledesma-Cabryo, P.Kellman, and A.Santos, "Exploiting Quasiperiodicity in Motion Correction of Free-Breathing," IEEE Transactions on Medical Imaging, 29(8), 2010.

#### Options:

#### File-IO

-i, --in-file=(input, required); io

  input images following the naming pattern nameXXXX.ext. For supported file types see Plugin type: 3dimage/io

-o, --out-file=(output, required); io

  file name base for registered files given as C-format string. For supported file types see Plugin type: 3dimage/io

--save-references

  Save synthetic references to files refXXXX.v

#### Preconditions & Preprocessing

-k, --skip=0; ulong

  Skip images at the begin of the series

--preskip=20; ulong

  Skip images at the beginning+skip of the series when searching for high contrats image

--postskip=2; ulong

  Skip images at the end of the series when searching for high contrats image

--max-candidates=20; ulong

  maximum number of candidates for global reference image

-S, --cost-series=image:cost=[ngf:eval=ds]; factory

  Const function to use for the analysis of the series. For supported plug-ins see Plugin type: 3dimage/fullcost

--ref-idx=STRING

  save reference index number to this file

-R, --global-reference=-1; int

  save reference index number to this file

-D, --max-subset-delta=0; ulong

  Maximum delta between two elements of the prealigned subset

#### Registration

-O, --optimizer=gsl:opt=gd,step=0.01; factory

  Optimizer used for minimization. For supported plug-ins see Plugin type: minimizer/singlecost

-l, --mr-levels=3; ulong

  multi-resolution levels

-f, --transForm=spline; factory

  transformation type. For supported plug-ins see Plugin type: 3dimage/transform

-1, --cost-subset=image:cost=[ngf:eval=ds]; factory

  Cost function for registration during the subset registration. For supported plug-ins see Plugin type: 3dimage/fullcost

-2, --cost-final=image:cost=ssd; factory

  Cost function for registration during the final registration. For supported plug-ins see Plugin type: 3dimage/fullcost

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Register the image series given by images imageXXXX.v by optimizing a spline based transformation with a coefficient rate of 16 pixel, skipping two images at the beginning and using normalized gradient fields as initial cost measure and SSD as final measure. Penalize the transformation by using divcurl with aweight of 2.0. As optimizer an nlopt based newton method is used.

    mia-3dprealign-nonrigid mia-3dprealign-nonrigid  -i imageXXXX.v -o registered -t vista -k 2-F spline:rate=16,penalty=[divcurl:weight=2] -1 image:cost=[ngf:eval=ds] -2 image:cost=ssd -O nlopt:opt=ld-var1,xtola=0.001,ftolr=0.001,maxiter=300

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dmotioncompica-nonrigid | Home | mia-3dserial-nonrigid